# VH6B can gateway fault definitions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: SouthGateway
source_enum: kEmuSouthGateway
namespace: zoox
faults:
  - id: 0
    name: EmuMonSocketRxError
    severity: WARNING
    description: emu_mon_socket_topic dropped receive packets.
  - id: 1
    name: EmuMonSocketTxError
    severity: WARNING
    description: emu_mon_socket_topic dropped transmit packets.
  - id: 2
    name: CanTxTopicError
    severity: WARNING
    description: can_tx_topics dropped transmit packets.
  - id: 3
    name: CanRxTopicError
    severity: WARNING
    description: can_rx_topics dropped receive packets.
  - id: 4
    name: CanLoggerTxFlushError
    severity: WARNING
    description: CAN logger socket topic txFlush dropped packets.
  - id: 5
    name: CanLoggerRxFlushError
    severity: WARNING
    description: CAN logger socket topic rxFlush dropped packets.
  - id: 6
    name: CanBusNumberMismatchError
    severity: WARNING
    description: Unexpected number of vh6b CAN buses.
    troubleshooting_steps: Check the Gateway::kBusNum constant and compare to the number of
      actual CAN buses.
  - id: 7
    name: CanTopicMismatchError
    severity: WARNING
    description: The number of CAN receive topics does not match the number of CAN transmit
      topics.
    troubleshooting_steps: Compare the number of recieve and transmit topics in South Gateway
      and make sure that they match.
